package net.wanji.utc.common.commonentity;

import lombok.Data;
import net.wanji.databus.po.ManufacturerApiInfoPO;
import net.wanji.utc.common.constant.Constants;
import net.wanji.utc.common.exception.NoSuchApiException;
import org.springframework.http.HttpMethod;
import org.springframework.http.MediaType;

import java.util.HashMap;
import java.util.Map;

@Data
public class HttpRequest {
    private String url;
    // 请求方式
    private HttpMethod httpMethod;
    private Map<String, String> headers;

    public HttpRequest() {

    }

    public HttpRequest(String manufacturerCode, String apiCode) {
        // 获取请求地址
        ManufacturerApiInfoPO manufacturerApiInfoPO = Constants.getManufacturerUrlMap(manufacturerCode +
                Constants.SEPARATOR_UNDER_LINE + apiCode);
        if (manufacturerApiInfoPO == null) {
            throw new NoSuchApiException("没有此接口信息，请在t_manufacturer_api_info表中添加");
        }
        url = manufacturerApiInfoPO.getAddress();
        httpMethod = HttpMethod.valueOf(manufacturerApiInfoPO.getMethod());
        headers = buildHeader();
    }

    /**
     * Discription:[封装请求头]
     * @author: wanji
     * @date 2019/4/24 15:23
     */
    private Map<String, String> buildHeader() {
        Map<String, String> header = new HashMap<>();
        header.put("Content-Type","application/json; charset=UTF-8");
        header.put("Accept", MediaType.APPLICATION_JSON.toString());
        return header;
    }
}