package net.wanji.utc.common.typeenum;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/04/03 13:26
 */
public enum CrossLightsTurnEnum {
    ONE(1, 1),// 圆饼灯
    TWO(2, 2), // 左转灯
    THREE(3, 1),// 直行灯
    FOUR(4,3),// 右转灯
    FIVE(20, 9);// 行人


    public static Integer getHkTurnByLightsType(Integer lightTurn) {
        CrossLightsTurnEnum[] values = CrossLightsTurnEnum.values();
        for (CrossLightsTurnEnum value : values) {
            if (Objects.equals(lightTurn, value.lightType)) {
                return value.getHkTurn();
            }
        }
        return null;
    }
    CrossLightsTurnEnum(int lightTurn, int hkTurn) {
        this.lightType = lightTurn;
        this.hkTurn = hkTurn;
    }

    private final Integer lightType;
    private final Integer hkTurn;

    public int getLightType() {
        return lightType;
    }

    public int getHkTurn() {
        return hkTurn;
    }
}
