package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/21 21:28
 */
@Getter
@AllArgsConstructor
public enum HkControlModeEnum {
    ZERO(7, 0),
    ONE(-1, 1),
    TWO(3, 2),
    THREE(2, 3),
    FOUR(1, 4),
    FIVE(-1, 5),
    SIX(-1, 6),
    SEVEN(-1, 7),
    EIGHT(-1, 8),
    NINE(-1, 9),
    TEN(-1, 10),
    TWELVE(4, 12);

    private Integer code;
    private Integer hkCode;

    public static Integer getCodeByHkCode(Integer hkCode) {
        for (HkControlModeEnum value : values()) {
            if (Objects.equals(hkCode, value.getHkCode())) {
                return value.getCode();
            }
        }
        return null;
    }
}
