package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/18 13:33
 */
@Getter
@AllArgsConstructor
public enum HkLightsDirEnum {
    ONE(5, 1),
    TWO(1, 2),
    THREE(3, 3),
    FOUR(7, 4),
    FIVE(6, 5),
    SIX(8, 6),
    SEVEN(4, 7),
    EIGHT(2, 8),
    NINE(1, 9),
    TEN(5, 10),
    ELEVEN(7, 11),
    TWELVE(3, 12);

    private Integer code;
    private Integer hkCode;

    public static Integer getCodeByHkCode(Integer hkCode) {
        for (HkLightsDirEnum value : values()) {
            if (Objects.equals(hkCode, value.getHkCode())) {
                return value.getCode();
            }
        }
        return null;
    }

    public static Integer getHkCodeByCode(Integer code) {
        for (HkLightsDirEnum value : values()) {
            if (Objects.equals(code, value.getCode())) {
                return value.getHkCode();
            }
        }
        return null;
    }
}
