package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/18 13:33
 */
@Getter
@AllArgsConstructor
public enum HkLightsTurnEnum {
    ONE(2, 1), // 直行
    TWO(1, 2), // 左转
    THREE(3, 3), // 右转
    FOUR(4, 4),
    FIVE(5, 5),
    SIX(6, 6),
    SEVEN(20, 7),
    EIGHT(14, 8),
    NINE(15, 9),
    TEN(10, 10);

    private Integer code;
    private Integer hkCode;

    public static Integer getCodeByHkCode(Integer hkCode) {
        for (HkLightsTurnEnum value : values()) {
            if (Objects.equals(hkCode, value.getHkCode())) {
                return value.getCode();
            }
        }
        return null;
    }
}
