package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/18 13:33
 */
@Getter
@AllArgsConstructor
public enum HkLightsTypeEnum {
    TEN(2, 10),
    ELEVEN(1, 11),
    TWELVE(1, 12),
    THIRTEEN(1, 13),
    FOURTEEN(1, 14),
    THIRTY_ONE(3, 31);

    private Integer code;
    private Integer hkCode;

    public static Integer getCodeByHkCode(Integer hkCode) {
        for (HkLightsTypeEnum value : values()) {
            if (Objects.equals(hkCode, value.getHkCode())) {
                return value.getCode();
            }
        }
        return null;
    }
}
