package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/18 16:24
 */
@Getter
@AllArgsConstructor
public enum HkPlanSectionControlTypeEnum {
    ZERO(1, 0),
    ONE(5, 1),
    TWO(3, 2),
    THREE(4, 3),
    FOUR(1, 4),
    FIVE(2, 5),
    SEVEN(7, 7),
    EIGHT(8, 8),
    TWELVE(-1, 12),
    THIRTEEN(6, 13),
    FOURTEEN(-1, 14),
    FIFTEEN(-1, 15);

    private Integer code;
    private Integer hkCode;

    public static Integer getCodeByHkCode(Integer hkCode) {
        for (HkPlanSectionControlTypeEnum value : values()) {
            if (Objects.equals(hkCode, value.getHkCode())) {
                return value.getCode();
            }
        }
        return null;
    }
}
