package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/24 14:16
 */
@Getter
@AllArgsConstructor
public enum ManufacturerApiInfoTypeEnum {
    ONE(1, "静态信息接口"),
    TWO(2, "运行信息接口"),
    THREE(3, "控制指令接口");

    private Integer code;
    private String msg;

    public static Integer getCodeByMsg(String typeStr) {
        for (ManufacturerApiInfoTypeEnum value : values()) {
            if (value.getMsg().equals(typeStr)) {
                return value.getCode();
            }
        }
        return null;
    }

    public static String getMsgByCode(Integer code) {
        for (ManufacturerApiInfoTypeEnum value : values()) {
            if (Objects.equals(value.getCode(), code)) {
                return value.getMsg();
            }
        }
        return null;
    }
}
