package net.wanji.utc.dto.hk;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 海康下发信号机方案DTO
 *
 * @author wuxiaokai
 * @date 2022/12/6 16:49:23
 */
@Setter
@Getter
public class DownloadPlanSpandsDTO {

    /**
     * 此code是信号机code，不是路口code
     */
    private String crossCode;

    private List<Pattern> patternList;

    @Setter
    @Getter
    public static class Pattern {
        private String patternNo;
        private String patternName;
        private String coordPhase;
        private String offset;
        private String cycle;
        private List<Ring> rings;

        @Setter
        @Getter
        public static class Ring {
            private String ringNo;
            private List<Phase> phaseList;

            @Setter
            @Getter
            public static class Phase {
                private String phaseNo;
                private String phaseName;
                private String phaseLength;
                private String phaseSequence;
                private List<Lane> lanes;

                @Setter
                @Getter
                public static class Lane {
                    private String laneNo;
                    private String direction;
                    private String turn;
                }
            }
        }

    }
}
