package net.wanji.utc.dto.hk;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 海康信号机计划下发DTO
 *
 * @author wuxiaokai
 * @date 2022/12/8 10:49:29
 */
@Setter
@Getter
public class DownloadTimeSpandsDTO {

    private List<Data> data;

    @Setter
    @Getter
    public static class Data {
        private String crossCode;
        private List<Plan> planList;

        @Setter
        @Getter
        public static class Plan {
            /**
             * 计划号
             */
            private String planNo;
            /**
             * 时段列表
             */
            private List<Section> sectionList;

            @Setter
            @Getter
            public static class Section {
                /**
                 * 时段号
                 */
                private String timeSecNo;
                /**
                 * 方案号
                 */
                private String patternNo;
                /**
                 * 控制模式：1定周期；2绿灯；3黄灯；4红灯；5关灯；6绿闪；7黄闪；8红闪
                 */
                private String controlType;
                /**
                 * 开始时间
                 */
                private String beginTime;

            }
        }
    }
}
