package net.wanji.utc.dto.systemadmin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author Kent HAN
 * @date 2022/11/24 9:42
 */
@Data
@ApiModel(value = "ManufacturerInsertOrUpdateDTO",
        description = "厂商添加或修改输入参数。如果携带ID，即为修改；如果不携带ID，即为新增")
public class ManufacturerInsertOrUpdateDTO {
    /** 厂商ID */
    @ApiModelProperty(value = "厂商ID。如果携带ID，即为修改；如果不携带ID，即为新增",notes = "")
    private Integer id ;
    /** 厂商代码 */
    @ApiModelProperty(required = true, value = "厂商代码",notes = "")
    @NotBlank
    @Pattern(regexp = "^[A-Z]*$", message = "厂商代码只能包含大写英文字母")
    private String code ;
    /** 厂商名称 */
    @ApiModelProperty(required = true, value = "厂商名称",notes = "")
    @NotBlank
    private String name ;
    /** 厂商简称 */
    @ApiModelProperty(required = true, value = "厂商简称",notes = "")
    @NotBlank
    private String nickName ;
    /** 平台地址 */
    @ApiModelProperty(required = true, value = "平台地址",notes = "")
    @NotBlank
    private String address ;
    /** 维护单位 */
    @ApiModelProperty(required = true, value = "维护单位",notes = "")
    @NotBlank
    private String maintenanceUnit ;
}
