package net.wanji.utc.kafka;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.core.JsonProcessingException;
import lombok.extern.slf4j.Slf4j;
import net.wanji.common.utils.tool.JacksonUtils;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.kafka.support.SendResult;
import org.springframework.stereotype.Component;
import org.springframework.util.concurrent.ListenableFuture;

import javax.annotation.Resource;

/**
 * @author duanruiming
 * @date 2023/08/02 16:58
 */
@Component
@Slf4j
@SuppressWarnings("all")
public class ProducerHandler {
    @Resource
    private KafkaTemplate<String, String> kafkaTemplate;

    public void send(String topic, Object msg) {
        Page<Object> objectPage = new Page<>();
        try {
            ListenableFuture<SendResult<String, String>> future = this.kafkaTemplate.send(topic, JacksonUtils.getInstance().writeValueAsString(msg));
            future.addCallback(
                    success -> {},
                    failure -> log.error("消息发送失败：", failure));
        } catch (JsonProcessingException e) {
            log.error("{}主题发送消息失败：", e);
            return;
        }
    }
}
