package net.wanji.utc.po.hk.response;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/02/14 14:49
 */
@Data
public class RealTimeStateInfoPO {

    /**
     * 信号机编号
     */
    private String crossCode;
    /**
     * 控制方式：1关灯；2黄闪；3全红；4定周期；5协调绿波；6协调红波；7全感应；8半感应；9协调绿波全感应；10步进控制；12通道锁定
     */
    private String controlType;
    /**
     * 文档说明，实际返回0
     */
    private String controlMode;

    /**
     * 锁定行为
     */
    private List<Integer> lockPhases;

    private List<ChannelStatePO> channelState;
    /**
     * 当前周期已运行时间
     */
    private Integer curRunTime;

    private Integer lockLeft;

    private Integer coorclinatedPhaseNo;

    private Boolean hasFault;

    private Boolean coordinateTrans;

    private Boolean downGrade;

    /**
     * 当前运行方案号
     */
    private Integer patternNo;

    private String patternName;

    /**
     * 方案周期 单位s
     */
    private Integer cycle;

    private LocalDateTime cycleBeginTime;

    /**
     * 相位差 单位s
     */
    private Integer offset;


    private List<PhaseChannelRelationPO> phaseChannelRelation;

    /**
     * 换列表
     */
    private List<RingsPO> rings;
}
