package net.wanji.utc.util;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author wuxiaokai
 * @date 2022/11/24 15:37:26
 */
public class FieldUtil {

    /**
     * 将对象的属性转成 key - Value
     */
    @SuppressWarnings("unchecked")
    public static <T> Map<String, Object> fieldMethod(T t) throws IllegalAccessException {
        if (t == null) {
            return null;
        }
        Field[] fields = t.getClass().getDeclaredFields();
        Map<String, Object> map = new HashMap<>(fields.length);
        for (Field field : fields) {
            field.setAccessible(true);
            if (field.getType().equals(List.class)) {
                List<Object> list = (List<Object>) field.get(t);
                List<Map<String, Object>> list2 = new ArrayList<>(list.size());
                for (Object o : list) {
                    Map<String, Object> map1 = fieldMethod(o);
                    list2.add(map1);
                }
                map.put(field.getName(), list2);
            } else {
                map.put(field.getName(), field.get(t));
            }
        }
        return map;
    }
}
