package net.wanji.utc.util;

import net.wanji.utc.common.commonentity.HttpRequest;
import net.wanji.utc.common.typeenum.BasicEnum;
import net.wanji.utc.config.ymldata.SignalManufacturerHkConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Kent HAN
 * @date 2022/11/29 15:26
 */
@Component
public class PathUtil {
    private static SignalManufacturerHkConfig signalManufacturerHkConfig;

    @Autowired
    public void setSignalManufacturerHkConfig(SignalManufacturerHkConfig signalManufacturerHkConfig) {
        PathUtil.signalManufacturerHkConfig = signalManufacturerHkConfig;
    }

    public static Map<String, String> getPathMapByApiCode(String apiCode) {
        Map<String, String> res = new HashMap<>();
        HttpRequest httpRequest = new HttpRequest(BasicEnum.ManufacturerEnum.HK.getCode(), apiCode);
        String artemisPath = signalManufacturerHkConfig.getArtemisPath();
        res.put("http://", artemisPath + httpRequest.getUrl());
        return res;
    }
}
