package net.wanji.utc.websocket;

import lombok.extern.slf4j.Slf4j;
import net.wanji.utc.cache.WebSocketClient;
import org.springframework.stereotype.Component;

import javax.websocket.*;

/**
 * @author duanruiming
 * @date 2024/01/10 17:28
 */
@ClientEndpoint
@Component
@Slf4j
@SuppressWarnings("unused")
public class WebSocketClientHandler {
    @OnOpen
   public void onOpen(Session session) {
        log.info("WebSocketClientHandler onOpen: {}", session);
        WebSocketClient.session = session;
   }

   @OnMessage
    public void receiveMessage(String message) {

   }

   @OnError
    public void error(Throwable t) {

   }

   @OnClose
    public void close() {
        log.info("WebSocketClientHandler close: {}", WebSocketClient.session);
   }

}
